Bug 62607

Summary: textproc/text2html conflicts with tex ports
Product: Ports & Packages Reporter: Kimura Fuyuki <fuyuki>
Component: Individual Port(s)Assignee: Hiroki Sato <hrs>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description Kimura Fuyuki 2004-02-10 00:50:14 UTC
The following three ports install bin/texi2html.

textproc/texi2html
print/teTeX
japanese/ptex-base

Perhaps the CONFLICTS pattern should be added to all the above ports,
but I personally want to use teTeX with the newer texi2html installed
by textproc/texi2html... how could it be solved?

Fix: 

I'm not sure what should be done.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2004-02-10 07:08:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->roam

I'm not sure to whom I should assign this ... roam@ maintains 
the first port listed, demon@ the second, and max@ the third. 
I'll pick roam@ for no other reason than that order; perhaps 
a strategy can be worked out among the 3 maintainers.
Comment 2 Peter Pentchev freebsd_committer 2004-06-04 11:11:47 UTC
State Changed
From-To: open->feedback


Could you test a patch that allows you to specify the PROGRAM_PREFIX 
environment variable (or make(1) variable) when building and installing 
the textproc/texi2html port, so you can do e.g. 

make all install package clean PROGRAM_PREFIX=n 

..and have the port install $PREFIX/bin/ntexi2html instead of texi2html? 
The patch itself is at 

http://people.FreeBSD.org/~roam/ports/patches/textproc/texi2html-program-prefix.patch
Comment 3 Peter Pentchev 2004-06-08 20:22:06 UTC
Add to the PR's audit trail.

----- Forwarded message from Kimura Fuyuki <fuyuki@hadaly.org> -----

Date: Sat, 05 Jun 2004 06:32:25 +0900
=46rom: Kimura Fuyuki <fuyuki@hadaly.org>
To: roam@FreeBSD.org
Subject: Re: ports/62607: textproc/text2html conflicts with tex ports
In-Reply-To: <200406041014.i54AETxl037805@freefall.freebsd.org>
User-Agent: Wanderlust/2.10.1 (Watching The Wheels) Emacs/21.3 Mule/5.0 (SA=
KAKI)
X-Public-Key: http://www.hadaly.org/fuyuki/pubkey.asc
X-Fingerprint: 8D68 1138 1A85 8556 C6A9  274B 2C72 2E56 3AF7 3D89

At Fri, 4 Jun 2004 03:14:29 -0700 (PDT),
Peter Pentchev <roam@FreeBSD.org> wrote:
>=20
> Could you test a patch that allows you to specify the PROGRAM_PREFIX
> environment variable (or make(1) variable) when building and installing
> the textproc/texi2html port, so you can do e.g.
>=20
>   make all install package clean PROGRAM_PREFIX=3Dn
>=20
> ..and have the port install $PREFIX/bin/ntexi2html instead of texi2html?
> The patch itself is at
>=20
> http://people.FreeBSD.org/~roam/ports/patches/textproc/texi2html-program-=
prefix.patch

That patch works fine for me. Thanks!

----- End forwarded message -----
Comment 4 Peter Pentchev freebsd_committer 2004-06-08 20:58:01 UTC
State Changed
From-To: feedback->open

I've committed the PROGRAM_PREFIX addition to the print/texi2html port. 
Hand this PR over to the maintainer of the print/teTeX port to figure out 
what do to about the conflict with the japanese/ptex-base port. 


Comment 5 Peter Pentchev freebsd_committer 2004-06-08 20:58:01 UTC
Responsible Changed
From-To: roam->demon

I've committed the PROGRAM_PREFIX addition to the print/texi2html port. 
Hand this PR over to the maintainer of the print/teTeX port to figure out 
what do to about the conflict with the japanese/ptex-base port.
Comment 6 Mark Linimon freebsd_committer freebsd_triage 2004-06-14 05:22:31 UTC
Responsible Changed
From-To: demon->hrs

Reassign to hrs as he is looking at reworking the various ports 
involved.  japanese/ptex-base properly sets a conflict with teTeX, 
so a patch to add the reverse direction should probably be added.
Comment 7 Volker Stolz freebsd_committer 2005-09-16 09:25:41 UTC
State Changed
From-To: open->closed

Resolved: Ports now use CONFLICTS 
Thanks for your submission!